Documentation

Work Email Lookup Endpoint

Cost3 credits / successful request

Look up the work email address of a Person Profile.

Email addresses returned are verified to not be role-based or catch-all emails. Email addresses returned by our API endpoint come with a 95+% deliverability guarantee.

Endpoint behavior

This endpoint does not always return results immediately.

If you provided a webhook in your request parameter, our application will call your webhook with the result once. See Webhook request below.

GET
/api/v2/profile/email

Authorization

BearerAuth client
AuthorizationBearer <token>

In: header

Scope: client

Query Parameters

profile_url*string

Profile URL of the person you want to extract work email address from.

callback_url?string

Webhook to notify your application when the request has finished processing.

Response Body

application/json

curl -X GET "https://enrichlayer.com/api/v2/profile/email?profile_url=https%3A%2F%2Fwww.linkedin.com%2Fin%2Fwilliamhgates&callback_url=https%3A%2F%2Fwebhook.site%2F29e12f17-d5a2-400a-9d08-42ee9d83600a"
{
  "email_queue_count": 0
}
Empty
Empty
Empty
Empty
Empty
Empty
Empty